[Phpmyadmin-git] [SCM] phpMyAdmin branch, master, updated. RELEASE_3_3_1RC1-229-gb7bbb96

Marc Delisle lem9 at users.sourceforge.net
Tue Mar 16 13:12:42 CET 2010


The branch, master has been updated
       via  b7bbb967baa622cc2a586609b56aaba356898a19 (commit)
      from  e338388cce3e489f61bc04f3eeda29933753140c (commit)


- Log -----------------------------------------------------------------
commit b7bbb967baa622cc2a586609b56aaba356898a19
Author: Marc Delisle <marc at infomarc.info>
Date:   Tue Mar 16 08:10:49 2010 -0400

    no branch exist in the cloned directory; advice for changes before validation

-----------------------------------------------------------------------

Summary of changes:
 scripts/create-release.sh |   61 ++++++++++++++++++++++-----------------------
 1 files changed, 30 insertions(+), 31 deletions(-)

diff --git a/scripts/create-release.sh b/scripts/create-release.sh
index 269ef44..9e5b0a1 100755
--- a/scripts/create-release.sh
+++ b/scripts/create-release.sh
@@ -35,15 +35,27 @@ shift
 branch=$1
 shift
 
-# Create working copy
-mkdir -p release
-workdir=release/phpMyAdmin-$version
-if [ -d $workdir ] ; then
-    echo "Working directory '$workdir' already exists, please move it out of way"
-    exit 1
+cat <<END
+
+Please ensure you have:
+  1. incremented rc count or version in the repository :
+     - in libraries/Config.class.php PMA_Config::__constructor() the line
+          " \$this->set( 'PMA_VERSION', '$version' ); "
+     - in Documentation.html the 2 lines
+          " <title>phpMyAdmin $version - Documentation</title> "
+          " <h1>phpMyAdmin $version Documentation</h1> "
+     - in translators.html
+     - in README
+  2. checked that all language files are valid (use
+     the "./scripts/check_lang.php" script to do it).
+
+Continue (y/n)?
+END
+read do_release
+
+if [ "$do_release" != 'y' ]; then
+    exit 100
 fi
-git clone --local . $workdir
-cd $workdir
 
 # Checkout branch
 git checkout $branch
@@ -66,28 +78,15 @@ if ! grep -q "Version $version\$" README ; then
     exit 2
 fi
 
-cat <<END
-
-Please ensure you have:
-  1. incremented rc count or version in the repository :
-     - in libraries/Config.class.php PMA_Config::__constructor() the line
-          " \$this->set( 'PMA_VERSION', '$version' ); "
-     - in Documentation.html the 2 lines
-          " <title>phpMyAdmin $version - Documentation</title> "
-          " <h1>phpMyAdmin $version Documentation</h1> "
-     - in translators.html
-     - in README
-  2. checked that all language files are valid (use
-     the "./scripts/check_lang.php" script to do it).
-
-Continue (y/n)?
-END
-read do_release
-
-if [ "$do_release" != 'y' ]; then
-    exit 100
+# Create working copy
+mkdir -p release
+workdir=release/phpMyAdmin-$version
+if [ -d $workdir ] ; then
+    echo "Working directory '$workdir' already exists, please move it out of way"
+    exit 1
 fi
-
+git clone --local . $workdir
+cd $workdir
 
 # Cleanup release dir
 LC_ALL=C date -u > RELEASE-DATE-${version}
@@ -203,8 +202,8 @@ cat <<END
 Todo now:
 ---------
 
- 1. tag the repository with the new revision number for a plain release
-    or a release candidate:
+1. If not already done, tag the repository with the new revision number 
+   for a plain release or a release candidate:
     version 2.7.0 gets two tags: RELEASE_2_7_0 and STABLE
     version 2.7.1-rc1 gets RELEASE_2_7_1RC1 and TESTING
 


hooks/post-receive
-- 
phpMyAdmin




More information about the Git mailing list